<?php
/*
/**
 * The main front page file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query. 
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * 
 */
?>
<?php get_header(); ?>
<script>
</script>
<div class="container_24">
<!--Start Slide Wrapper-->
<div class="grid_24 slider_wrapper">
<input type="hidden" id="txt_slidespeed" value="<?php if (get_option('inkthemes_slide_speed') != '') { ?> <?php echo stripslashes(get_option('inkthemes_slide_speed')); ?>
		<?php } else { ?>5000<?php } ?>"/> 

  <!--Start Slider-->
  <div id="container">
		<div id="example">
			<div id="slides">
				<div class="slides_container">
					<div class="slide">
						<?php if ( get_option('inkthemes_slideimage1') !='' ) {  ?>
        <a href="<?php if ( get_option('inkthemes_slidelink1') !='' ) { echo get_option('inkthemes_slidelink1'); } ?>" class="readmore"><img  src="<?php echo get_option('inkthemes_slideimage1'); ?>" alt=""/></a>
        <?php }  else {  ?>
        <img  src="<?php echo get_template_directory_uri(); ?>/images/img-1.jpg" alt=""/>
        <?php } ?>          
        <div class="caption conference">
          <?php if ( get_option('inkthemes_slideheading1') !='' ) {  ?>
          <h2><a href="<?php if ( get_option('inkthemes_slidelink1') !='' ) { echo get_option('inkthemes_slidelink1'); } ?>" class="readmore"><?php echo stripslashes(get_option('inkthemes_slideheading1')); ?></a></h2>
          <?php }  else {  ?>
          <h2><a href="#">4th Annual Seattle Conference</a></h2>
          <?php } ?>
          <?php if ( get_option('inkthemes_slidedescription1') !='' ) {  ?>
          <p><?php echo stripslashes(get_option('inkthemes_slidedescription1')); ?></p>
          <?php }  else {  ?>
          <p>Every year, we address several aspects of the Bioeconomy, including biofuel, biotechnology, and green chemistry. The impact of biofuels on greenhouse gases is subject to debate.</p>
          <?php } ?>
        </div> 
		</div>
		<!--End Slider-->
       <?php if ( get_option('inkthemes_slideimage2') !='' ) {  ?>
      <!--Start Slider-->
						<div class="slide">
						<?php if ( get_option('inkthemes_slideimage2') !='' ) {  ?>
        <a href="<?php if ( get_option('inkthemes_slidelink2') !='' ) {  echo get_option('inkthemes_slidelink2'); } ?>" class="readmore hover"><img src="<?php echo get_option('inkthemes_slideimage2'); ?>" alt=""/></a>
        <?php }  else { } ?>
        <div class="caption presentation">
          <?php if ( get_option('inkthemes_slideheading2') !='' ) {  ?>
          <h2><a href="<?php if ( get_option('inkthemes_slidelink2') !='' ) {  echo get_option('inkthemes_slidelink2'); } ?>" class="readmore hover"><?php echo stripslashes(get_option('inkthemes_slideheading2')); ?></a></h2>
          <?php }  else {} ?>
          <?php if ( get_option('inkthemes_slidedescription2') !='' ) {  ?>
          <p><?php echo stripslashes(get_option('inkthemes_slidedescription2')); ?></p>
          <?php } else {} ?>
        </div>
					</div>
					 <!--End Slider-->
      <?php } ?>
      <?php if ( get_option('inkthemes_slideimage3') !='' ) {  ?>
      <!--Start Slider-->
					<div class="slide">
						 <?php if ( get_option('inkthemes_slideimage3') !='' ) {  ?>
       <a href="<?php if ( get_option('inkthemes_slidelink3') !='' ) { echo get_option('inkthemes_slidelink3'); } ?>" class="readmore hover"><img  src="<?php echo get_option('inkthemes_slideimage3'); ?>" alt=""/></a>
        <?php } ?>
        <div class="caption speaker">
          <?php if ( get_option('inkthemes_slideheading3') !='' ) {  ?>
          <h2><a href="<?php if ( get_option('inkthemes_slidelink3') !='' ) { echo get_option('inkthemes_slidelink3'); } ?>" class="readmore hover"><?php echo stripslashes(get_option('inkthemes_slideheading3')); ?></a></h2>
          <?php } ?>
          <?php if ( get_option('inkthemes_slidedescription3') !='' ) {  ?>
          <p><?php echo stripslashes(get_option('inkthemes_slidedescription3')); ?></p>
          <?php } ?>
        </div>
					</div>
					<!--End Slider-->
      <?php } ?>
      <!--Start Slider-->
      <?php if ( get_option('inkthemes_slideimage4') !='' ) {  ?>
					<div class="slide">
						<?php if ( get_option('inkthemes_slideimage4') !='' ) {  ?>
        <a href="<?php if ( get_option('inkthemes_slidelink4') !='' ) { echo get_option('inkthemes_slidelink4'); } ?>" class="readmore hover"><img  src="<?php echo get_option('inkthemes_slideimage4'); ?>" alt=""/></a>
        <?php } ?>
        <div class="caption speaker">
          <?php if ( get_option('inkthemes_slideheading4') !='' ) {  ?>
          <h2> <a href="<?php if ( get_option('inkthemes_slidelink4') !='' ) { echo get_option('inkthemes_slidelink4'); } ?>" class="readmore hover"><?php echo stripslashes(get_option('inkthemes_slideheading4')); ?></a></h2>
          <?php } ?>
          <?php if ( get_option('inkthemes_slidedescription4') !='' ) {  ?>
          <p><?php echo stripslashes(get_option('inkthemes_slidedescription4')); ?></p>
          <?php } ?>
        </div>
					</div>
					 <?php } ?>
      <!--End Slider-->
	    <?php if ( get_option('inkthemes_slideimage5') !='' ) {  ?>
      <!--Start Slider-->
					<div class="slide">
						 <?php if ( get_option('inkthemes_slideimage5') !='' ) {  ?>
        <a href="<?php if ( get_option('inkthemes_slidelink5') !='' ) { echo get_option('inkthemes_slidelink5'); } ?>" class="readmore hover"><img  src="<?php echo get_option('inkthemes_slideimage5'); ?>" alt=""/></a>
        <?php } ?>
        <div class="caption speaker">
          <?php if ( get_option('inkthemes_slideheading5') !='' ) {  ?>
          <h2><a href="<?php if ( get_option('inkthemes_slidelink5') !='' ) { echo get_option('inkthemes_slidelink5'); } ?>" class="readmore hover"><?php echo stripslashes(get_option('inkthemes_slideheading5')); ?></a></h2>
          <?php } ?>
          <?php if ( get_option('inkthemes_slidedescription5') !='' ) {  ?>
          <p><?php echo stripslashes(get_option('inkthemes_slidedescription5')); ?></p>
          <?php } ?>
        </div>
					</div>
					      <?php } ?><!--End Slider-->						  
	    <?php if ( get_option('inkthemes_slideimage6') !='' ) {  ?>  <!--Start Slider-->     
					<div class="slide">
						 <?php if ( get_option('inkthemes_slideimage6') !='' ) {  ?>
       <a href="<?php if ( get_option('inkthemes_slidelink6') !='' ) { echo get_option('inkthemes_slidelink6'); } ?>" class="readmore hover"><img  src="<?php echo get_option('inkthemes_slideimage6'); ?>" alt=""/></a>
        <?php } ?>
        <div class="caption speaker">
          <?php if ( get_option('inkthemes_slideheading6') !='' ) {  ?>
          <h2><a href="<?php if ( get_option('inkthemes_slidelink6') !='' ) { echo get_option('inkthemes_slidelink6'); } ?>" class="readmore hover"><?php echo stripslashes(get_option('inkthemes_slideheading6')); ?></a></h2>
          <?php } ?>
          <?php if ( get_option('inkthemes_slidedescription6') !='' ) {  ?>
          <p><?php echo stripslashes(get_option('inkthemes_slidedescription6')); ?></p>
          <?php } ?>
        </div>
		</div>
					      <?php } ?><!--End Slider-->
	  
				</div>
				<div class="slider_pag"></div>
			</div>
		</div>
	</div>
</div>
  <!--End Slider-->
<!--End Slider wrapper-->
<div class="clear"></div>
<!--Start Home content wrapper-->
<div class="grid_24 home_content_wrapper">
  <!--Start Home content-->
  <div class="home_content">
    <div class="home_text">
      <center>
        <?php if ( get_option('inkthemes_mainheading') !='' ) {  ?>
        <h1><?php echo stripslashes(get_option('inkthemes_mainheading')); ?></h1>
        <?php } else { ?>
        <h1>"its easy to understand why more than 1 million people use wuno"</h1>
        <?php } ?>
      </center>
    </div>
    <hr />
    <?php
         $full_col = get_option('full_col');        
         $cols_on ="on";        
         if ( $full_col === $cols_on ) {  ?>
    <div class="fullwidth-col">
      <?php if ( get_option('full_coldesc') !='' ) {  ?>
      <p><?php echo stripslashes(get_option('full_coldesc')); ?></p>
      <?php } else { ?>
      <p> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse at lectus est. Nullam venenatis ipsum non quam congue eget rhoncus ligula fringilla. Curabitur vel nulla nec eros tincidunt dapibus. Cras dictum nibh eget urna sollicitudin ut gravida odio dignissim. Curabitur suscipit ullamcorper lacus, pellentesque varius augue adipiscing in. Etiam et est nunc. Mauris tincidunt arcu vel lacus convallis interdum porttitor neque condimentum. Aenean lobortis vulputate diam, vitae consequat augue tincidunt ac. Nulla mi mi, fermentum vitae fringilla eu, mattis faucibus elit. Duis euismod lorem id nibh tincidunt eu volutpat mauris sagittis. Aliquam gravida quam vitae lorem cursus adipiscing. Nunc sem nulla, tincidunt ut vestibulum in, luctus eget arcu. Aliquam at tincidunt est. Mauris in libero massa, vel adipiscing nulla. Vestibulum sem ligula, lobortis vel fringilla ut, tristique vitae arcu. </p>
      <?php } ?>
    </div>
    <hr />
    <?php } ?>
    <!--Start Featured content-->
    <div class="featured_content">
      <!--Start Column three-->
      <div class="column-three">
        <!--Start col3-->
        <div class="col3">
          <!--Start inner area-->
          <div class="inner_area">
            <?php if ( get_option('inkthemes_headline1') !='' ) {  ?>
            <h2><a href="<?php if ( get_option('inkthemes_link1') !='' ) { echo get_option('inkthemes_link1'); } else { echo "#"; } ?>"><?php echo stripslashes(get_option('inkthemes_headline1')); ?></a></h2>
            <?php } else { ?>
            <h2><a href="#">Client Needs</a></h2>
            <?php } ?>
            <?php if ( get_option('inkthemes_wimg1') !='' ) {  ?>
            <a href="<?php if ( get_option('inkthemes_link1') !='' ) { echo get_option('inkthemes_link1'); } else { echo "#"; } ?>"><img src="<?php echo get_option('inkthemes_wimg1'); ?>" class="featured_img"  alt="fearured image" /></a>
            <?php } else { ?>
            <img src="<?php echo get_template_directory_uri(); ?>/images/featured-img1.png" class="featured_img"  alt="fearured image" />
            <?php } ?>
            <?php if ( get_option('inkthemes_feature1') !='' ) {  ?>
            <p><?php echo stripslashes(get_option('inkthemes_feature1')); ?></p>
            <?php } else { ?>
            <p>Varius dui, quis posuere nibh mollis quis. Mauris omma rhoncus porttitor. Maecenas et euismod is elit. Nulla lus libero, ultrices</p>
            <?php } ?>
            <a class="read_more" href="<?php if ( get_option('inkthemes_link1') !='' ) { echo get_option('inkthemes_link1'); } else { echo "#"; } ?>">read more</a> </div>
          <!--End inner area-->
        </div>
        <!--End col3-->
        <!--Start col3-->
        <div class="col3">
          <!--Start inner area-->
          <div class="inner_area">
            <?php if ( get_option('inkthemes_headline2') !='' ) {  ?>
            <h2><a href="<?php if ( get_option('inkthemes_link2') !='' ) { echo get_option('inkthemes_link2'); } else { echo "#"; } ?>"><?php echo stripslashes(get_option('inkthemes_headline2')); ?></a></h2>
            <?php } else { ?>
            <h2><a href="#">Our Products</a></h2>
            <?php } ?>
            <?php if ( get_option('inkthemes_fimg2') !='' ) {  ?>
            <a href="<?php if ( get_option('inkthemes_link2') !='' ) { echo get_option('inkthemes_link2'); } else { echo "#"; } ?>"><img src="<?php echo get_option('inkthemes_fimg2'); ?>" class="featured_img"  alt="fearured image" /></a>
            <?php } else { ?>
            <img src="<?php echo get_template_directory_uri(); ?>/images/featured-img2.png" class="featured_img"  alt="fearured image" />
            <?php } ?>
            <?php if ( get_option('inkthemes_feature2') !='' ) {  ?>
            <p><?php echo stripslashes(get_option('inkthemes_feature2')); ?></p>
            <?php } else { ?>
            <p>Varius dui, quis posuere nibh mollis quis. Mauris omma rhoncus porttitor. Maecenas et euismod is elit. Nulla lus libero, ultrices</p>
            <?php } ?>
            <a class="read_more" href="<?php if ( get_option('inkthemes_link2') !='' ) { echo get_option('inkthemes_link2'); } else { echo "#"; } ?>">read more</a> </div>
          <!--End inner area-->
        </div>
        <!--End col3-->
        <!--Start col3-->
        <div class="col3 last">
          <!--Start inner area-->
          <div class="inner_area">
            <?php if ( get_option('inkthemes_headline3') !='' ) {  ?>
            <h2><a href="<?php if ( get_option('inkthemes_link3') !='' ) { echo get_option('inkthemes_link3'); } else { echo "#"; } ?>"><?php echo stripslashes(get_option('inkthemes_headline3')); ?></a></h2>
            <?php } else { ?>
            <h2><a href="#">Our Models</a></h2>
            <?php } ?>
            <?php if ( get_option('inkthemes_fimg3') !='' ) {  ?>
            <a href="<?php if ( get_option('inkthemes_link3') !='' ) { echo get_option('inkthemes_link3'); } else { echo "#"; } ?>"><img src="<?php echo get_option('inkthemes_fimg3'); ?>" class="featured_img"  alt="fearured image" /></a>
            <?php } else { ?>
            <img src="<?php echo get_template_directory_uri(); ?>/images/featured-img3.png" class="featured_img"  alt="fearured image" />
            <?php } ?>
            <?php if ( get_option('inkthemes_feature3') !='' ) {  ?>
            <p><?php echo stripslashes(get_option('inkthemes_feature3')); ?></p>
            <?php } else { ?>
            <p>Varius dui, quis posuere nibh mollis quis. Mauris omma rhoncus porttitor. Maecenas et euismod is elit. Nulla lus libero, ultrices</p>
            <?php } ?>
            <a class="read_more" href="<?php if ( get_option('inkthemes_link3') !='' ) { echo get_option('inkthemes_link3'); } else { echo "#"; } ?>">read more</a> </div>
          <!--End inner area-->
        </div>
        <!--End col3-->
      </div>
      <!--End Column three-->
      <div class="clear"></div>
      <!--Start Column three-->
      <div class="column-three sub">
        <!--Start col3-->
        <div class="col3">
          <div class="inner_area ">
            <?php if ( get_option('inkthemes_featured_1') !='' ) {  ?>
           <?php echo stripslashes(get_option('inkthemes_featured_1')); ?>
            <?php } else { ?>
          <iframe width="100%" height="30%" src="http://www.youtube.com/embed/bdt3Xp6Ma48" frameborder="0" allowfullscreen></iframe>
            <?php } ?>
          </div>
        </div>
        <!--End col3-->
        <!--Start col3-->
        <div class="col31">
          <div class="inner_area">
            <!--Start Left Content-->
            <!--Start Testimonials-->
            <div  class="testimonial_holder"> <a href="#" class="prev2">Previous</a> <a href="#" class="next2">Next</a>
              <div  class="sliderHolder2">
                <ul>
                  <!--First Testimonials-->
                  <li class="testimonial-list">
                    <div class="testimonial_jcarousel">
                      <?php if ( get_option('inkthemes_testo_heading1') !='' ) {  ?>
                      <h2><?php echo stripslashes(get_option('inkthemes_testo_heading1')); ?></h2>
                      <?php } else { ?>
                      <h2>Our Services</h2>
                      <?php } ?>
                      <?php if ( get_option('inkthemes_testo_desc1') !='' ) {  ?>
                      <p><?php echo stripslashes(get_option('inkthemes_testo_desc1')); ?></p>
                      <?php } else { ?>
                      <p>I decided to try this out on my Diamondback Bikes Reviews site and even if it ain't pretty (my creations) it's so fricken cool, best thing since sliced bread and instant coffee makers. I love having a site that is so appealing. Well, to me anyway, I happen to like my crazy graphics.This is the easiest, funnest, got to have it theme ever.</p>
                      <?php } ?>
                    </div>
                  </li>
                  <!--Second Testimonials-->
                  <?php if ( get_option('inkthemes_testo_heading2') !='' ) {  ?>
                  <li class="testimonial-list">
                    <div class="testimonial_jcarousel">
                      <?php if ( get_option('inkthemes_testo_heading2') !='' ) {  ?>
                      <h2><?php echo stripslashes(get_option('inkthemes_testo_heading2')); ?></h2>
                      <?php } else {} ?>
                      <?php if ( get_option('inkthemes_testo_desc2') !='' ) {  ?>
                      <p><?php echo stripslashes(get_option('inkthemes_testo_desc2')); ?></p>
                      <?php } else {} ?>
                    </div>
                  </li>
                  <?php } else {} ?>
                  <!--Third Testimonials-->
                  <?php if ( get_option('inkthemes_testo_heading3') !='' ) {  ?>
                  <li class="testimonial-list">
                    <div class="testimonial_jcarousel">
                      <?php if ( get_option('inkthemes_testo_heading3') !='' ) {  ?>
                      <h2><?php echo stripslashes(get_option('inkthemes_testo_heading3')); ?></h2>
                      <?php } else {} ?>
                      <?php if ( get_option('inkthemes_testo_desc3') !='' ) {  ?>
                      <p><?php echo stripslashes(get_option('inkthemes_testo_desc3')); ?></p>
                      <?php } else {} ?>
                    </div>
                  </li>
                  <?php } else {} ?>
                </ul>
              </div>
            </div>
            <!--End Testimonials-->
          </div>
        </div>
        <!--End col3-->
        <!--Start col3-->
        <div class="col4 last">
          <div class="inner_area">
            <?php if ( get_option('inkthemes_featured_3') !='' ) {  ?>
            <a href="<?php echo get_option('inkthemes_feautured_link3'); ?>"><img class="last_featureimg" align="alignright" src="<?php echo get_option('inkthemes_featured_3'); ?>" /></a>
            <?php } else { ?>
            <a href="<?php echo get_option('inkthemes_feautured_link3'); ?>"><img class="last_featureimg" align="alignright" src="<?php echo get_template_directory_uri(); ?>/images/box.png" /></a>
            <?php } ?>
          </div>
        </div>
        <!--End Column three-->
      </div>
      <!--End Featured content-->
      <div class="clear"></div>
    </div>
    <!--End Home content-->
  </div>
</div>
<?php get_footer(); ?>
