<?php
/**
 * The Footer widget areas.
 *
 * @package WordPress
 */
?>
<!--Start Footer-->
<div class="footer">
  <div class="grid_6 alpha">
    <div class="widget_inner">
      <?php if (is_active_sidebar('first-footer-widget-area')) : ?>
      <?php dynamic_sidebar('first-footer-widget-area'); ?>
      <?php else : ?>
      <h4>Our Pages</h4>
      <ul>
        <li><a href="#">Varius dui, quis posuere nibh huj</a></li>
        <li><a href="#">Mollisuis. Mauris omma rhoncus </a></li>
        <li><a href="#">Porttitor. http://inkthemes.com</a></li>
        <li><a href="#">Varius dui, quis posuere nibh huj </a></li>
      </ul>
      <?php endif; ?>
    </div>
  </div>
  <div class="grid_6">
    <div class="widget_inner">
      <?php if (is_active_sidebar('second-footer-widget-area')) : ?>
      <?php dynamic_sidebar('second-footer-widget-area'); ?>
      <?php else: ?>
      <h4>Setting Up Footer</h4>
      <p>Footer is widgetized. To setup the<br/> footer, drag the required Widgets<br/>in Appearance -> Widgets Tab in<br/>the First, Second, Third or Fourth<br/>Footer Widget Areas.</p>
      <?php endif; ?>
    </div>
  </div>
  <div class="grid_6">
    <div class="widget_inner">
      <?php if (is_active_sidebar('third-footer-widget-area')) : ?>
      <?php dynamic_sidebar('third-footer-widget-area'); ?>
      <?php else: ?>
      <h4>Recent Comment</h4>
      <ul>
        <li><a href="#">Varius dui, quis posuere nibh huj</a></li>
        <li><a href="#">Mollisuis. Mauris omma rhoncus </a></li>
        <li><a href="#">Porttitor. http://inkthemes.com</a></li>
        <li><a href="#">Varius dui, quis posuere nibh huj </a></li>
      </ul>
      <?php endif; ?>
    </div>
  </div>
  <div class="grid_6 omega">
    <div class="widget_inner">
      <?php if (is_active_sidebar('fourth-footer-widget-area')) : ?>
      <?php dynamic_sidebar('fourth-footer-widget-area'); ?>
      <?php else: ?>
      <h4>Contact Deatiles</h4>
      Address: FM-9, B-Block,  Second er <br/>
      Complex, Bhopal<br/>
      Contact No : +91-9926255956<br/>
      Email: pankaj@neepantech.com
      <?php endif; ?>
    </div>
  </div>
</div>
<!--End Footer-->
